package com.example.wholeestate.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.example.wholeestate.model.Building;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 楼盘表 Mapper 接口
 * </p>
 *
 * @author jobob
 * @since 2019-03-20
 */
@Mapper
public interface BuildingMapper extends BaseMapper<Building> {
    /**
     * 楼盘列表
     * @param page
     * @return
     */
    IPage<Building> buildingList(Page page, @Param("Name") String name, @Param("Code")String code);

}
