package com.example.wholeestate.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.example.wholeestate.common.resp.ResponseBean;
import com.example.wholeestate.model.Appointment;

/**
 * <p>
 * 预约记录表 服务类
 * </p>
 *
 * @author jobob
 * @since 2019-03-21
 */
public interface IAppointmentService extends IService<Appointment> {

    /**
     * 微信小程序 根据 openid 查询 预约记录
     * @param openid
     * @param pageNum
     * @param pageSize
     * @return
     */
    ResponseBean getOpenidAppointmentList(String openid, Integer pageNum, Integer pageSize);

    /**
     * 微信小程序  添加 预约记录
     * @param openid
     * @param parameter
     * @return
     */
    ResponseBean addWxAppointment(String openid, String parameter);

}
